Skip to main content
GET
/
?module=account&action=balance
Get Native Token Balance for a Single Address
curl --request GET \
  --url 'https://eth.blockscout.com/api/?module=account&action=balance'
import requests

url = "https://eth.blockscout.com/api/?module=account&action=balance"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://eth.blockscout.com/api/?module=account&action=balance', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "1",
  "message": "OK",
  "result": "40891626854930000000000"
}

Query Parameters

module
enum<string>
required

Module name (must be 'account')

Available options:
account
action
enum<string>
required
Available options:
balance
address
string
required

Address hash 40-character hexadecimal address hash with 0x prefix

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0xde0b295669a9fd93d5f28d9ec85e40f4cb697bae"

Response

200 - application/json

Balance retrieved successfully

status
enum<string>

Status code (1 = OK)

Available options:
1
message
string

Response message

Example:

"OK"

result
string

Balance in wei

Example:

"40891626854930000000000"